// ID:编号, StartRank:开始排名, EndRank:结束排名, ItemID:奖励道具, ItemCount:奖励数量

export default class M_ActivityFishingCeleRank {
  private static data =
      {"1":{"ID":1,"StartRank":1,"EndRank":1,"ItemID":[1,94,296],"ItemCount":[100000000,21,100]}

      ,"2":{"ID":2,"StartRank":2,"EndRank":2,"ItemID":[1,94,296],"ItemCount":[50000000,14,50]}

      ,"3":{"ID":3,"StartRank":3,"EndRank":3,"ItemID":[1,94,296],"ItemCount":[10000000,7,30]}

      ,"4":{"ID":4,"StartRank":4,"EndRank":6,"ItemID":[1,17,296],"ItemCount":[5000000,30,20]}

      ,"5":{"ID":5,"StartRank":7,"EndRank":10,"ItemID":[1,17,296],"ItemCount":[1000000,20,10]}

      ,"6":{"ID":6,"StartRank":11,"EndRank":20,"ItemID":[1,17,296],"ItemCount":[500000,10,5]}

      }// ID:编号, StartRank:开始排名, EndRank:结束排名, ItemID:奖励道具, ItemCount:奖励数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}